Slic3r 0.9.0 installazione su Ubuntu

Notizia freschissima di giornata è l’uscita del nuovo Slic3r 0.9.0 che ha delle interessanti novità sia dal punto di vista delle impostazione, specialmente per quanto riguarda i multi estrusori, sia dal punto di vista grafico.

Però questo articolo non è rivolto alle novità, ma su come installare la nuova versione su Ubuntu; purtroppo le vecchie istruzioni non sono più sufficienti. Io come sistema uso la ubuntu 11.04 e sembrerebbe che con la 12:04 non ci dovrebbero essere problemi; quindi la guida è utile per chi ha una versione 11:10 o inferiore.

Il problema principale che ho riscontrato è l’aggiornamento di un pacchetto che non c’è nei repository ufficiali, quindi bisogna scaricarlo ed installarlo manualmente assieme alle sue dipendenze; si tratta di Libmoon-perl che deve essere aggiornato alla versione 0.091009 o superiore.

Infatti se si prova a lanciare il programma da terminale viene tornato questo errore

Moo version 0.091009 required--this is only version 0.009013 at 
/home/nextor/alexrj-Slic3r-4fcecf5/lib/Slic3r.pm line 27.
BEGIN failed--compilation aborted at 
/home/nextor/alexrj-Slic3r-4fcecf5/lib/Slic3r.pm line 27.
Compilation failed in require at ./slic3r.pl line 13.
BEGIN failed--compilation aborted at ./slic3r.pl line 13.

Ora riprendo la procedura d’installazione dall’inizio. Apriamo il terminale e digitiamo:

sudo apt-get install git build-essential libgtk2.0-dev 
libwxgtk2.8-dev libwx-perl libmodule-build-perl 
libnet-dbus-perl

A seguire

sudo apt-get install curl
curl -L http://cpanmin.us | perl - --sudo App::cpanminus

Ora scarichiamo slic3r:

git clone https://github.com/alexrj/Slic3r.git
cd Slic3r

A questo punto dobbiamo scaricare i pacchetti aggiuntivi ed installarli. I link sono diretti al download e per l’installazione basta il doppio click e procedere normalmente con l’ubuntu software center:

http://ubuntu.mirror.cambrium.nl/ubuntu//pool/main/libm/libmodule-runtime-perl/libmodule-runtime-perl_0.013-1_all.deb

http://launchpadlibrarian.net/108120874/librole-tiny-perl_1.001003-1_all.deb

http://ubuntu.ntc.net.np/ubuntu/pool/universe/libs/libstrictures-perl/libstrictures-perl_1.003001-1_all.deb

http://launchpadlibrarian.net/108286242/libmoo-perl_0.091009-1_all.deb

Ora sempre da terminale:

sudo apt-get install libwx-perl
sudo cpanm Boost::Geometry::Utils  Math::ClipperMath::ConvexHull Math::Geometry::Voronoi Math::PlanePath Moo Wx

A questo punto dovrebbe funzioanre tutto; entriamo nella cartella con

cd nome_cartella

e lanciamo con

./slic3r.pl

Se riscontrate degli errori o delle inesattezze non esitate a contattarmi, così da poter procedere alle opportune correzioni.

VN:F [1.9.22_1171]
Rating: 9.0/10 (1 vote cast)
VN:F [1.9.22_1171]
Rating: 0 (from 0 votes)